=== debian/changelog ===
kldap (25.08.2+p24.04+vstable+git20251019.0533-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:33:34 +0000
