=== debian/control ===
Source: kldap
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcompletion-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kpim6-kmbox-dev,
               libldap2-dev,
               libsasl2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qtkeychain-qt6-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kldap
Vcs-Git: https://invent.kde.org/neon/kde/kldap.git
Vcs-Browser: https://invent.kde.org/neon/kde/kldap
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kldap
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kio-ldap (<< 24.02.0)
Replaces: kio-ldap (<< 24.02.0),
          kio6-ldap,
          libkf5ldap5,
          libkf6ldap6,
          libkpim6ldap6
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kpim6-kldap-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kpim6-kldap (= ${binary:Version}),
         libldap2-dev,
         libsasl2-dev,
         qt6-base-dev,
         ${misc:Depends}
Provides: libkf5ldap-dev, libkf6ldap-dev, libkpim6ldap-dev
Description: library for accessing LDAP - development files
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the development files.

Package: kio6-ldap
Architecture: all
Depends: kpim6-kldap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kio-ldap
Architecture: all
Depends: kpim6-kldap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ldap6
Architecture: all
Depends: kpim6-kldap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ldap-dev
Architecture: all
Depends: kpim6-kldap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6ldap6
Architecture: all
Depends: kpim6-kldap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6ldap-dev
Architecture: all
Depends: kpim6-kldap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ldap5
Architecture: all
Depends: kpim6-kldap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ldap-dev
Architecture: all
Depends: kpim6-kldap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
