## kldap 25.08.2+p24.04+vstable+git20251021.0318

=== debian/changelog ===
kldap (25.08.2+p24.04+vstable+git20251021.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:18:36 +0000
