## kldap 25.08.2+p24.04+vunstable+git20251013.0505

=== debian/changelog ===
kldap (25.08.2+p24.04+vunstable+git20251013.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 05:05:58 +0000
