## kldap 25.08.2+p24.04+vunstable+git20251020.1126

=== CMakeLists.txt ===
--- 
+++ 
@@ -101,7 +101,7 @@
 find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 find_package(Ldap)
 set_package_properties(
