=== debian/control ===
Source: kldap
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libldap2-dev,
               libsasl2-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kldap
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kldap
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kldap.git
Rules-Requires-Root: no

Package: kio-ldap
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for accessing LDAP - kio slave
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the KIO slave.

Package: libkldap-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Arch independent data forlibrary for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the arch independent data for KLdap.

Package: libkldap-dev
Architecture: any
Multi-Arch: same
Depends: libkpim6ldapcore6 (= ${binary:Version}),
         libkpim6ldapwidgets6 (= ${binary:Version}),
         libldap2-dev,
         libsasl2-dev,
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Recommends: libkldap-doc (= ${source:Version}),
Description: library for accessing LDAP - development files
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the development files.
Section: libdevel

Package: libkldap-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for accessing LDAP (documentation)
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package contains the documentation files.
Section: doc

Package: libkpim6ldapcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkldap-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6ldapwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkldap-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.
