## kldap 25.08.3+p24.04+vunstable+git20251204.0539

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 
 project(KLdap VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${KLdap_SOURCE_DIR}/cmake
@@ -100,7 +100,7 @@
 find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 find_package(Ldap)
 set_package_properties(
