## kldap 25.08.3+p24.04+vunstable+git20251206.0651

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(KLdap VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
