## kldap 25.12.0+p24.04+vstable+git20251222.0518

=== debian/changelog ===
kldap (25.12.0+p24.04+vstable+git20251222.0518-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:18:04 +0000
