=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
-               libkf6doctools-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6kio-dev (>= 6.14.0~),
-               libkf6widgetsaddons-dev (>= 6.14.0~),
+               libkf6doctools-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6kio-dev (>= 6.18.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
                libldap2-dev,
                libsasl2-dev,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.14.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/kldap
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kldap
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kldap.git
