## kldap 25.12.1+p24.04+vstable+git20260107.0107

=== debian/changelog ===
kldap (25.12.1+p24.04+vstable+git20260107.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 01:07:02 +0000

kldap (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:33:12 +1000
